org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddEdgeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest

- Direct Known Subclasses:
    AddEdgeTest.Traversals

      public abstract class AddEdgeTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AddEdgeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddEdgeTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X()`
    `void` | `g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX()`
    `void` | `g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()`
    `void` | `g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()`
    `void` | `g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()`
    `void` | `g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()`
    `void` | `g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX()`
    `void` | `g_V_outE_propertyXweight_nullX()`
    `void` | `g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X()`
    `void` | `g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX()`
    `void` | `g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X()`
    `void` | `g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X()`
    `abstract Traversal<Edge,Edge>` | `get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X(Vertex a, Vertex b)`
    `abstract Traversal<Edge,Edge>` | `get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_outE_propertyXweight_nullX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X(Vertex a, Vertex b)`
    `abstract Traversal<Vertex,Edge>` | `get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a, Vertex b)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddEdgeTest

          public AddEdgeTest()

  - ### Method Detail

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX

          public abstract Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X

          public abstract Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)

    - #### get_g_V_outE_propertyXweight_nullX

          public abstract Traversal<Vertex,Edge> get_g_V_outE_propertyXweight_nullX()

    - #### get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX

          public abstract Traversal<Vertex,Edge> get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X

          public abstract Traversal<Vertex,Edge> get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()

    - #### get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX

          public abstract Traversal<Vertex,Edge> get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()

    - #### get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX

          public abstract Traversal<Vertex,Edge> get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()

    - #### get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X

          public abstract Traversal<Vertex,Edge> get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a,
                                                                                                                       Vertex b)

    - #### get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X

          public abstract Traversal<Vertex,Edge> get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X(Vertex a,
                                                                                                   Vertex b)

    - #### get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X

          public abstract Traversal<Edge,Edge> get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X(Vertex a,
                                                                                                    Vertex b)

    - #### get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX

          public abstract Traversal<Vertex,Edge> get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX()

    - #### get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX

          public abstract Traversal<Edge,Edge> get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX()

    - #### g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX

          public void g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX()

    - #### g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X

          public void g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X()

    - #### g_V_outE_propertyXweight_nullX

          public void g_V_outE_propertyXweight_nullX()

    - #### g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX

          public void g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()

    - #### g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X

          public void g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()

    - #### g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X

          public void g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X()

    - #### g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX

          public void g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()

    - #### g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX

          public void g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()

    - #### g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X

          public void g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X()

    - #### g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X

          public void g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X()

    - #### g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX

          public void g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX()

    - #### g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX

          public void g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.